package com.yonge.cooleshow.sdk.req;

import io.swagger.annotations.ApiModelProperty;

/**
 * Description 退款请求参数
 *
 * @author liujunchi
 * @date 2022-04-27
 */
public class OrderRefundReq {

    @ApiModelProperty("支付流水号")
    private String transNo;


    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty("退款金额")
    private String refundAmount;

    @ApiModelProperty("退款描述")
    private String reason;

    @ApiModelProperty(value = "用户端公网ip ")
    private String ipAddress;

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(String refundAmount) {
        this.refundAmount = refundAmount;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }
}
